﻿@model LMS.Data.Models.BookItem

@{
    ViewData["Title"] = "Edit";
}

<h1>Edit</h1>

<h4>BookItem</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Edit">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="BookItemId" />
            <div class="form-group form-check">
                <label class="form-check-label">
                    <input class="form-check-input" asp-for="ReferenceOnly" /> @Html.DisplayNameFor(model => model.ReferenceOnly)
                </label>
            </div>
            <div class="form-group">
                <label asp-for="BookStatus" class="control-label"></label>
                <select asp-for="BookStatus" class="form-control"></select>
                <span asp-validation-for="BookStatus" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="RackNumber" class="control-label"></label>
                <input asp-for="RackNumber" class="form-control" />
                <span asp-validation-for="RackNumber" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="BookID" class="control-label"></label>
                <select asp-for="BookID" class="form-control" asp-items="ViewBag.BookID"></select>
                <span asp-validation-for="BookID" class="text-danger"></span>
            </div>
            <div class="form-group form-check">
                <label class="form-check-label">
                    <input class="form-check-input" asp-for="IsDeleted" /> @Html.DisplayNameFor(model => model.IsDeleted)
                </label>
            </div>
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
